View Issue Details

IDProjectCategoryView StatusLast Update
0010330LazarusIDEpublic2009-04-14 22:21
ReporterMartin FriebeAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.24Product Build 
Target Version1.0.0Fixed in Version0.9.27 (SVN) 
Summary0010330: misplaced code-completion hint on windows, with desktop across multi-monitor
DescriptionOn Windows (vista) if your gfx card support more than one monitor, set up 2 screens. Declare the right screen as your main screen, the left screen as secondary.

Now any window on the left screen has negative coordinates.

The IDE-code editor does not deal correctly with this, if the source editor is on the left screen and asked to display code completion hints (ctrl-space).

The hint is not displayed at the correct location (which would have a negative x-coordinate), but instead the x-coordinate is set to 0 => the hint is displayed at the left-most position of you main(right) screen.

Additional Informationsimilar errors can be seen with other hints for example in debugging, holding the mouse over a symbol
TagsNo tags attached.
Fixed in Revision19377
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0013446 closedPaul Ishenin Wrong monitor for dialogs and hints 
related to 0013208 closedPaul Ishenin TForm.Left is changed after showing initially invisible form 
related to 0012640 resolvedJuha Manninen Use Sreen/Monitor instead of Desktop for windows and dialogs. 
related to 0007971 resolvedOndrej Pokorny Bad Xinerama support 
related to 0013468 closedPaul Ishenin Saving a frame cause RangCheck exception, if frame is moved partly out of the desktop 

Activities

Martin Friebe

2007-12-03 00:24

manager   ~0016538

The issue also applies to the restoration of Windows after restart, changing projects ....

While normally The position of all your windows is stored / and restored (while loading a project), any negative coordinate that a window may have had is set to zero

Vincent Snijders

2007-12-03 03:25

manager   ~0016539

Negative screen coordinates, who would have thought about that :-(

Martin Friebe

2007-12-04 03:45

manager   ~0016573

Just found more (windows vista / home premium / 32 bit nvidia gfx card / both screens have the same resolution)

I have swapped my screens, so that now my Left screen is the main screen. And the right screen acts as 2ndary (but has positive coordinates now)

Now any window on the right (2nd) screen, has it's hints limited to the main screen. They are displayed at the right most position. (the right side of the hint win is aligned with the right site of the main screen)

I guess there is some code, that makes sure the hint is not shown (or part shown) outside the screen (like if your screen was 1200 pixel, the hint can not be at 1198, as you would only see 2 pixel of it)
This code takes the width of a single screen, and is not aware of the fact that I have a 2nd screen.

BTW, I have no idea how that would have to be handled, if the 2nd screen was of smaller size, as then the total width would depend on the y position:
1st screen 1200*1024 / 2nd screen 1024*768 =>
 if y < 768 width= 1024
 if y > 768 width= 2224

As I said my screens are both the same size.

Paul Ishenin

2009-04-12 10:56

manager   ~0026709

Please test and close if ok.

Martin Friebe

2009-04-14 22:21

manager   ~0026770

excellent, thanks

Issue History

Date Modified Username Field Change
2007-12-02 23:18 Martin Friebe New Issue
2007-12-02 23:18 Martin Friebe Widgetset => Win32
2007-12-03 00:24 Martin Friebe Note Added: 0016538
2007-12-03 03:25 Vincent Snijders LazTarget => 1.0
2007-12-03 03:25 Vincent Snijders Note Added: 0016539
2007-12-03 03:25 Vincent Snijders Status new => acknowledged
2007-12-04 03:45 Martin Friebe Note Added: 0016573
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2009-04-01 16:06 Martin Friebe Relationship added related to 0013446
2009-04-07 11:31 Paul Ishenin Relationship added related to 0013208
2009-04-07 11:32 Paul Ishenin Relationship added related to 0012640
2009-04-07 11:34 Paul Ishenin Relationship added related to 0007971
2009-04-07 11:35 Paul Ishenin Relationship added related to 0013468
2009-04-12 10:56 Paul Ishenin Fixed in Revision => 19377
2009-04-12 10:56 Paul Ishenin Status acknowledged => resolved
2009-04-12 10:56 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-04-12 10:56 Paul Ishenin Resolution open => fixed
2009-04-12 10:56 Paul Ishenin Assigned To => Paul Ishenin
2009-04-12 10:56 Paul Ishenin Note Added: 0026709
2009-04-14 22:21 Martin Friebe Status resolved => closed
2009-04-14 22:21 Martin Friebe Note Added: 0026770